### Method

# Gimp DrawableFilter get_name

since: 3.0

#### Declaration [src]

    gchar*
    gimp_drawable_filter_get_name (
      GimpDrawableFilter* filter
    )

#### Description [src]

Get a drawable filter’s name.

This procedure returns the specified filter’s name. Since it is not possible to set a drawable filter’s name yet, this will be the operation’s name. Eventually this filter’s name will be a free form field so do not rely on this information for any processing.

Available since: 3.0

#### Return value

Type: `gchar*`

The filter’s name. The returned value must be freed with g_free().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.